Redmine - Feature #33099

Add a link to the issues list in reminder email
2020-03-05 10:11 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed

Description

With the attached small patch, you will be able to see the same issues list as a reminder email by clicking the issue count in the
reminder.

In my observation, some people see a reminder email several times a day in order to decide what they should do next. | think the
patch helps such people.

The number of issues will be a link:
Received Thursday, 5 Mar 2020 3:30:13 PM
From <redmine@example.net>
To <admin@somenet.foo>
Subject 3 issue(s) due in the next 7 days

link to the issues list

HTML = Plain Text

W

e(s) that are assigned to you are due in the next 7 days:

e eCookbook - Bug_#3: Error 281 when updating a recipe (11 days late)
e eCookbook - Feature request #2: Add ingredients categories (Due in 1 day)
e eCookbook - Bug #1: Cannot print recipes (Due in 4 days)

View all issues (3 open)

You have received this notification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here: http://hostname/my/account

You can see the same list on Redmine by clicking the link:

Issues D New issue e
Filters
Status open Add filter
Assignee is << me >>
Due date in less than 7 days
Options

' Apply 2 Clear |+§ Save

# Project Tracker Status Priority Subject Assignee Updated

3 eCookbook Bug New Low ETOr 281 when Redmine  4/05/2020 03:24 PM =+
updating a recipe Admin

2 eCookbook Feature request Assigned Normal Add |nglred|ents Redm!ne 03/05/2020 03:25 PM ===
categories Admin

1 eCookbook Bug New Low Cannot print recipes R:gm;:e 03/05/2020 03:24 PM  ++»

Associated revisions

2025-05-17
Revision 19565 - 2020-03-07 09:20 - Go MAEDA

Add a link to the issues list in a reminder email (#33099).

Patch by Go MAEDA.

History

#1 - 2020-03-05 12:57 - Bernhard Rohloff

Sounds quite handy.
+1

#2 - 2020-03-05 13:51 - Go MAEDA
- Target version set to 4.2.0
Bernhard Rohloff wrote:

Sounds quite handy.

+1

Thank you for the feedback. Setting the target version to 4.2.0.

#3 - 2020-03-07 09:20 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.
